<template>
  <h1>Border radius</h1>

  <table>
    <thead>
      <tr>
        <th>Variable</th>
        <th>Value</th>
        <th>Result</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="v in radiuses" :key="v">
        <td><code>{{ v }}</code></td>
        <td><code :data-css-var="v" /></td>
        <td>
          <div :style="`border-radius: var(${v}); border: 1px solid var(--border-color)`">&nbsp;</div>
        </td>
      </tr>
    </tbody>
  </table>
</template>

<script>
import { setScssVariables } from '../../../../documentation_system/utils/SetSCSSVariables.js'

const radiuses = [
  '--border-radius',
  '--border-radius-small',
]
export default {
  name: 'BorderRadiusView',
  data () {
    return {
      radiuses,
    }
  },
  methods: {
    setScssVariables,
  },
  created () {
    this.$setTitle('Border radius')

    this.$nextTick(() => {
      this.setScssVariables()
    })
  },
}
</script>
